com.genesyslab.wfm8.API.service.config852

## Class CfgOvertimeOfferFilter

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config852.CfgOvertimeOfferFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgOvertimeOfferFilter
      extends java.lang.Object
      implements java.io.Serializable

  Overtime Offer filter
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `cfgActivitySnapshotID`
    `protected java.lang.String` | `cfgAgentSnapshotID`
    `protected java.lang.String` | `cfgVirtualActivitySnapshotID`
    `private static long` | `serialVersionUID`
    `protected java.util.List<java.lang.Integer>` | `wmBUId`
    `protected int` | `wmBUIdNSizeIs`
    `protected double` | `wmEndDateTime`
    `protected java.util.List<java.lang.Integer>` | `wmOvertimeOfferId`
    `protected int` | `wmOvertimeOfferIdNSizeIs`
    `protected java.util.List<java.lang.Integer>` | `wmSiteId`
    `protected int` | `wmSiteIdNSizeIs`
    `protected double` | `wmStartDateTime`
    `protected java.util.List<java.lang.Integer>` | `wmStatus`
    `protected int` | `wmStatusNSizeIs`
    `protected int` | `wmTimezoneId`
    `protected java.util.List<java.lang.Integer>` | `wmType`
    `protected int` | `wmTypeNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgOvertimeOfferFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getCfgActivitySnapshotID()` Gets the value of the cfgActivitySnapshotID property.
    `java.lang.String` | `getCfgAgentSnapshotID()` Gets the value of the cfgAgentSnapshotID property.
    `java.lang.String` | `getCfgVirtualActivitySnapshotID()` Gets the value of the cfgVirtualActivitySnapshotID property.
    `java.util.List<java.lang.Integer>` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmBUIdNSizeIs()` Gets the value of the wmBUIdNSizeIs property.
    `double` | `getWmEndDateTime()` Gets the value of the wmEndDateTime property.
    `java.util.List<java.lang.Integer>` | `getWmOvertimeOfferId()` Gets the value of the wmOvertimeOfferId property.
    `int` | `getWmOvertimeOfferIdNSizeIs()` Gets the value of the wmOvertimeOfferIdNSizeIs property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `double` | `getWmStartDateTime()` Gets the value of the wmStartDateTime property.
    `java.util.List<java.lang.Integer>` | `getWmStatus()` Gets the value of the wmStatus property.
    `int` | `getWmStatusNSizeIs()` Gets the value of the wmStatusNSizeIs property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `java.util.List<java.lang.Integer>` | `getWmType()` Gets the value of the wmType property.
    `int` | `getWmTypeNSizeIs()` Gets the value of the wmTypeNSizeIs property.
    `int` | `hashCode()`
    `void` | `setCfgActivitySnapshotID(java.lang.String value)` Sets the value of the cfgActivitySnapshotID property.
    `void` | `setCfgAgentSnapshotID(java.lang.String value)` Sets the value of the cfgAgentSnapshotID property.
    `void` | `setCfgVirtualActivitySnapshotID(java.lang.String value)` Sets the value of the cfgVirtualActivitySnapshotID property.
    `void` | `setWmBUId(java.util.List<java.lang.Integer> wmBUId)` Sets the value of the wmBUId property.
    `void` | `setWmBUIdNSizeIs(int value)` Sets the value of the wmBUIdNSizeIs property.
    `void` | `setWmEndDateTime(double value)` Sets the value of the wmEndDateTime property.
    `void` | `setWmOvertimeOfferId(java.util.List<java.lang.Integer> wmOvertimeOfferId)` Sets the value of the wmOvertimeOfferId property.
    `void` | `setWmOvertimeOfferIdNSizeIs(int value)` Sets the value of the wmOvertimeOfferIdNSizeIs property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartDateTime(double value)` Sets the value of the wmStartDateTime property.
    `void` | `setWmStatus(java.util.List<java.lang.Integer> wmStatus)` Sets the value of the wmStatus property.
    `void` | `setWmStatusNSizeIs(int value)` Sets the value of the wmStatusNSizeIs property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmType(java.util.List<java.lang.Integer> wmType)` Sets the value of the wmType property.
    `void` | `setWmTypeNSizeIs(int value)` Sets the value of the wmTypeNSizeIs property.
    `java.lang.String` | `toString()`
    `CfgOvertimeOfferFilter` | `withCfgActivitySnapshotID(java.lang.String value)`
    `CfgOvertimeOfferFilter` | `withCfgAgentSnapshotID(java.lang.String value)`
    `CfgOvertimeOfferFilter` | `withCfgVirtualActivitySnapshotID(java.lang.String value)`
    `CfgOvertimeOfferFilter` | `withWmBUId(java.util.Collection<java.lang.Integer> values)`
    `CfgOvertimeOfferFilter` | `withWmBUId(java.lang.Integer... values)`
    `CfgOvertimeOfferFilter` | `withWmBUIdNSizeIs(int value)`
    `CfgOvertimeOfferFilter` | `withWmEndDateTime(double value)`
    `CfgOvertimeOfferFilter` | `withWmOvertimeOfferId(java.util.Collection<java.lang.Integer> values)`
    `CfgOvertimeOfferFilter` | `withWmOvertimeOfferId(java.lang.Integer... values)`
    `CfgOvertimeOfferFilter` | `withWmOvertimeOfferIdNSizeIs(int value)`
    `CfgOvertimeOfferFilter` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgOvertimeOfferFilter` | `withWmSiteId(java.lang.Integer... values)`
    `CfgOvertimeOfferFilter` | `withWmSiteIdNSizeIs(int value)`
    `CfgOvertimeOfferFilter` | `withWmStartDateTime(double value)`
    `CfgOvertimeOfferFilter` | `withWmStatus(java.util.Collection<java.lang.Integer> values)`
    `CfgOvertimeOfferFilter` | `withWmStatus(java.lang.Integer... values)`
    `CfgOvertimeOfferFilter` | `withWmStatusNSizeIs(int value)`
    `CfgOvertimeOfferFilter` | `withWmTimezoneId(int value)`
    `CfgOvertimeOfferFilter` | `withWmType(java.util.Collection<java.lang.Integer> values)`
    `CfgOvertimeOfferFilter` | `withWmType(java.lang.Integer... values)`
    `CfgOvertimeOfferFilter` | `withWmTypeNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUIdNSizeIs

          protected int wmBUIdNSizeIs

    - #### wmBUId

          protected java.util.List<java.lang.Integer> wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

    - #### wmOvertimeOfferIdNSizeIs

          protected int wmOvertimeOfferIdNSizeIs

    - #### wmOvertimeOfferId

          protected java.util.List<java.lang.Integer> wmOvertimeOfferId

    - #### wmTypeNSizeIs

          protected int wmTypeNSizeIs

    - #### wmType

          protected java.util.List<java.lang.Integer> wmType

    - #### wmStatusNSizeIs

          protected int wmStatusNSizeIs

    - #### wmStatus

          protected java.util.List<java.lang.Integer> wmStatus

    - #### wmStartDateTime

          protected double wmStartDateTime

    - #### wmEndDateTime

          protected double wmEndDateTime

    - #### wmTimezoneId

          protected int wmTimezoneId

    - #### cfgAgentSnapshotID

          protected java.lang.String cfgAgentSnapshotID

    - #### cfgActivitySnapshotID

          protected java.lang.String cfgActivitySnapshotID

    - #### cfgVirtualActivitySnapshotID

          protected java.lang.String cfgVirtualActivitySnapshotID

  - ### Constructor Detail

    - #### CfgOvertimeOfferFilter

          public CfgOvertimeOfferFilter()

  - ### Method Detail

    - #### getWmBUIdNSizeIs

          public int getWmBUIdNSizeIs()

      Gets the value of the wmBUIdNSizeIs property.

    - #### setWmBUIdNSizeIs

          public void setWmBUIdNSizeIs(int value)

      Sets the value of the wmBUIdNSizeIs property.

    - #### getWmBUId

          public java.util.List<java.lang.Integer> getWmBUId()

      Gets the value of the wmBUId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmBUId property.

      For example, to add a new item, do as follows:

              getWmBUId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmOvertimeOfferIdNSizeIs

          public int getWmOvertimeOfferIdNSizeIs()

      Gets the value of the wmOvertimeOfferIdNSizeIs property.

    - #### setWmOvertimeOfferIdNSizeIs

          public void setWmOvertimeOfferIdNSizeIs(int value)

      Sets the value of the wmOvertimeOfferIdNSizeIs property.

    - #### getWmOvertimeOfferId

          public java.util.List<java.lang.Integer> getWmOvertimeOfferId()

      Gets the value of the wmOvertimeOfferId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmOvertimeOfferId property.

      For example, to add a new item, do as follows:

              getWmOvertimeOfferId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmTypeNSizeIs

          public int getWmTypeNSizeIs()

      Gets the value of the wmTypeNSizeIs property.

    - #### setWmTypeNSizeIs

          public void setWmTypeNSizeIs(int value)

      Sets the value of the wmTypeNSizeIs property.

    - #### getWmType

          public java.util.List<java.lang.Integer> getWmType()

      Gets the value of the wmType property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmType property.

      For example, to add a new item, do as follows:

              getWmType().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStatusNSizeIs

          public int getWmStatusNSizeIs()

      Gets the value of the wmStatusNSizeIs property.

    - #### setWmStatusNSizeIs

          public void setWmStatusNSizeIs(int value)

      Sets the value of the wmStatusNSizeIs property.

    - #### getWmStatus

          public java.util.List<java.lang.Integer> getWmStatus()

      Gets the value of the wmStatus property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmStatus property.

      For example, to add a new item, do as follows:

              getWmStatus().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getWmStartDateTime

          public double getWmStartDateTime()

      Gets the value of the wmStartDateTime property.

    - #### setWmStartDateTime

          public void setWmStartDateTime(double value)

      Sets the value of the wmStartDateTime property.

    - #### getWmEndDateTime

          public double getWmEndDateTime()

      Gets the value of the wmEndDateTime property.

    - #### setWmEndDateTime

          public void setWmEndDateTime(double value)

      Sets the value of the wmEndDateTime property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getCfgAgentSnapshotID

          public java.lang.String getCfgAgentSnapshotID()

      Gets the value of the cfgAgentSnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgAgentSnapshotID

          public void setCfgAgentSnapshotID(java.lang.String value)

      Sets the value of the cfgAgentSnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCfgActivitySnapshotID

          public java.lang.String getCfgActivitySnapshotID()

      Gets the value of the cfgActivitySnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgActivitySnapshotID

          public void setCfgActivitySnapshotID(java.lang.String value)

      Sets the value of the cfgActivitySnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCfgVirtualActivitySnapshotID

          public java.lang.String getCfgVirtualActivitySnapshotID()

      Gets the value of the cfgVirtualActivitySnapshotID property.
      Returns:
        possible object is `String`

    - #### setCfgVirtualActivitySnapshotID

          public void setCfgVirtualActivitySnapshotID(java.lang.String value)

      Sets the value of the cfgVirtualActivitySnapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### withWmBUIdNSizeIs

          public CfgOvertimeOfferFilter withWmBUIdNSizeIs(int value)

    - #### withWmBUId

          public CfgOvertimeOfferFilter withWmBUId(java.lang.Integer... values)

    - #### withWmBUId

          public CfgOvertimeOfferFilter withWmBUId(java.util.Collection<java.lang.Integer> values)

    - #### withWmSiteIdNSizeIs

          public CfgOvertimeOfferFilter withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgOvertimeOfferFilter withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgOvertimeOfferFilter withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmOvertimeOfferIdNSizeIs

          public CfgOvertimeOfferFilter withWmOvertimeOfferIdNSizeIs(int value)

    - #### withWmOvertimeOfferId

          public CfgOvertimeOfferFilter withWmOvertimeOfferId(java.lang.Integer... values)

    - #### withWmOvertimeOfferId

          public CfgOvertimeOfferFilter withWmOvertimeOfferId(java.util.Collection<java.lang.Integer> values)

    - #### withWmTypeNSizeIs

          public CfgOvertimeOfferFilter withWmTypeNSizeIs(int value)

    - #### withWmType

          public CfgOvertimeOfferFilter withWmType(java.lang.Integer... values)

    - #### withWmType

          public CfgOvertimeOfferFilter withWmType(java.util.Collection<java.lang.Integer> values)

    - #### withWmStatusNSizeIs

          public CfgOvertimeOfferFilter withWmStatusNSizeIs(int value)

    - #### withWmStatus

          public CfgOvertimeOfferFilter withWmStatus(java.lang.Integer... values)

    - #### withWmStatus

          public CfgOvertimeOfferFilter withWmStatus(java.util.Collection<java.lang.Integer> values)

    - #### withWmStartDateTime

          public CfgOvertimeOfferFilter withWmStartDateTime(double value)

    - #### withWmEndDateTime

          public CfgOvertimeOfferFilter withWmEndDateTime(double value)

    - #### withWmTimezoneId

          public CfgOvertimeOfferFilter withWmTimezoneId(int value)

    - #### withCfgAgentSnapshotID

          public CfgOvertimeOfferFilter withCfgAgentSnapshotID(java.lang.String value)

    - #### withCfgActivitySnapshotID

          public CfgOvertimeOfferFilter withCfgActivitySnapshotID(java.lang.String value)

    - #### withCfgVirtualActivitySnapshotID

          public CfgOvertimeOfferFilter withCfgVirtualActivitySnapshotID(java.lang.String value)

    - #### setWmBUId

          public void setWmBUId(java.util.List<java.lang.Integer> wmBUId)

      Sets the value of the wmBUId property.
      Parameters:
        `wmBUId` - allowed object is `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> wmSiteId)

      Sets the value of the wmSiteId property.
      Parameters:
        `wmSiteId` - allowed object is `Integer`

    - #### setWmOvertimeOfferId

          public void setWmOvertimeOfferId(java.util.List<java.lang.Integer> wmOvertimeOfferId)

      Sets the value of the wmOvertimeOfferId property.
      Parameters:
        `wmOvertimeOfferId` - allowed object is `Integer`

    - #### setWmType

          public void setWmType(java.util.List<java.lang.Integer> wmType)

      Sets the value of the wmType property.
      Parameters:
        `wmType` - allowed object is `Integer`

    - #### setWmStatus

          public void setWmStatus(java.util.List<java.lang.Integer> wmStatus)

      Sets the value of the wmStatus property.
      Parameters:
        `wmStatus` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.